Security Lab

PHP-инклюдинг в Segue CMS

Дата публикации:03.10.2007
Всего просмотров:1393
Опасность:
Высокая
Наличие исправления: Да
Количество уязвимостей:1
CVE ID: Нет данных
Вектор эксплуатации: Удаленная
Воздействие: Раскрытие важных данных
Раскрытие системных данных
Компрометация системы
CWE ID: Нет данных
Наличие эксплоита: Нет данных
Уязвимые продукты: Segue CMS 1.x
Уязвимые версии: Segue CMS 1.8.4, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "themesdir" в сценарии index.php. Удаленный пользователь может выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP. Пример:

http://[host]/index.php?themesdir=[file]

URL производителя: segue.middlebury.edu/index.php?action=site&site=segue

Решение: Установите последнюю версию 1.8.5 с сайта производителя.